Sandboxes
List sandboxes
Returns sandboxes owned by the caller, sorted by created_at descending.
GET
/
sandboxes
List sandboxes
curl --request GET \
--url https://sandbox.brimble.io/sandboxes \
--header 'x-brimble-key: <api-key>'import requests
url = "https://sandbox.brimble.io/sandboxes"
headers = {"x-brimble-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-brimble-key': '<api-key>'}};
fetch('https://sandbox.brimble.io/sandboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Sandboxes fetched",
"data": {
"data": [
{
"id": "<string>",
"name": "<string>",
"template": "<string>",
"region": {
"id": "6a06df21cc6bef51342e199e",
"name": "eu-west",
"country": "France",
"continent": "Europe",
"enabled": true,
"type": "sandbox"
},
"specs": {
"cpu": 1000,
"memory": 1024,
"disk": 3
},
"auto_destroy": true,
"one_shot": true,
"block_outbound": true,
"egress": {
"mode": "restricted",
"allow": [
"1.1.1.1",
"api.example.com"
]
},
"persistent": true,
"created_at": "2023-11-07T05:31:56Z",
"last_activity_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"team": "<string>",
"project_environment": "<string>",
"network_updated": true,
"persistent_disk_gb": 123,
"paused_at": "2023-11-07T05:31:56Z",
"from_snapshot": "<string>",
"snapshot_frequency": "<string>",
"destroyed_at": "2023-11-07T05:31:56Z"
}
],
"totalCount": 123,
"currentPage": 123,
"totalPages": 123,
"limit": 123
}
}Authorizations
Your account-level Brimble API key. Find it in the dashboard under your profile drawer → API key (click the avatar in the sidebar). Available on paid plans only.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Last modified on May 20, 2026
Was this page helpful?
⌘I
List sandboxes
